Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005757 [JEDI VCL] 00 JVCL Components minor always 2012-01-03 12:21 2012-09-10 14:15
Reporter CDametto View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005757: Left and right arrows don't change the current cell in TJvDBGrid with option set dgAlwaysShowEditor
Description In standard Delphi TDBGrid, with option set dgAlwaysShowEditor, you can change the current focused cell using left and right arrows on keyboard, in JvDBGrid this do not work.
Additional Information I solved changing the file JvDBGrid.pas at line 884, casting to TJvDBGrid instead of TDBGrid, in the sub-function ForwardMovement.

procedure TInternalInplaceEdit.KeyDown(var Key: Word; Shift: TShiftState);
...
  function ForwardMovement: Boolean;
  begin
    Result := dgAlwaysShowEditor in TJvDBGrid(Grid).Options; // <-- was TDBGrid
  end;
...
Tags No tags attached.
Attached Files zip file icon Grids.zip [^] (2,535 bytes) 2012-01-03 12:21

- Relationships

-  Notes
(0019545)
obones (administrator)
2012-02-24 17:35

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-01-03 12:21 CDametto New Issue
2012-01-03 12:21 CDametto File Added: Grids.zip
2012-02-22 15:03 obones Status new => acknowledged
2012-02-24 17:35 obones Note Added: 0019545
2012-02-24 17:35 obones Status acknowledged => resolved
2012-02-24 17:35 obones Fixed in Version => Daily / SVN
2012-02-24 17:35 obones Resolution open => fixed
2012-02-24 17:35 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker